Subject: Re: [PATCHv6 5/8] gitweb: gravatar url cache

From: Jakub Narebski <[email-masked]>
Date: Sat, 27 Jun 2009 01:53:51 +0200

On Sat, 27 Jun 2009, Giuseppe Bilotta wrote:
> 2009/6/27 Jakub Narebski <[email-masked]>:

> > BTW. http://www.gravatar.com/site/implement/url recommends
> > http://www.gravatar.com/avatar/3b3be63a4c2a439b013787725dfce802 rather than
> > http://www.gravatar.com/avatar.php?gravatar_id=3b3be63a4c2a439b013787725dfce802
> > you use, following http://www.gravatar.com/site/implement/perl
> 
> I think the perl code there is just obsolete (the /avatar/ thing is
> more recent). I'll update to the new one because it's more compact.

I think that Gravatar::URL module on CPAN[1] (which we cannot use in
gitweb because it is extra nonstandard non-core not needed dependency)
also uses newer path_info form.

[1] http://p3rl.org/Gravatar::URL

-- 
Jakub Narebski
Poland